> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/iap/iap.getsubscriptioninfo.md).

# IAP.getSubscriptionInfo

### 功能说明

获取订阅订单的当前状态信息。

> 参数为 `{ params: { orderId } }` 保持嵌套结构。

Toss应用 Android `5.253.0`, iOS `5.250.0` 可在以上版本使用。若在不支持的版本中调用则 `UNSUPPORTED_APP_VERSION` 会发生错误。

### 类型

```ts
IAP.getSubscriptionInfo(args: { params: { orderId: string } }): Promise<IapSubscriptionInfoResponse>;
```

**Params**

```ts
{
  params: {
    orderId: string;
  }
}
```

**Response**

```ts
type IapSubscriptionInfoResponse = {
  subscription: IapSubscriptionInfoResult;
};

type IapSubscriptionInfoResult = {
  catalogId: number;
  status:
    "ACTIVE" | "EXPIRED" | "IN_GRACE_PERIOD" | "ON_HOLD" | "PAUSED" | "REVOKED";
  expiresAt: string | null;
  isAutoRenew: boolean;
  gracePeriodExpiresAt: string | null;
  isAccessible: boolean;
};
```

### 错误

错误代码是 catch 到的错误的 `error.code` 值。

| 代码                        | 说明                                                                                                                     |
| ------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 如果当前运行的 Toss App 版本不支持此功能，调用后会立即发生。 `IAP.getSubscriptionInfo.isSupported()`可通过它提前确认，发生时 `error.message`请向用户显示（更新提示文案）。 |

### 示例代码

```js
import { IAP } from "@apps-in-toss/web-framework";

try {
  const response = await IAP.getSubscriptionInfo({
    params: { orderId: "order-id" },
  });

  console.log(response.subscription);
} catch (error) {
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/iap/iap.getsubscriptioninfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
